petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESFASSetContinuation

Sets the FAS cycle to default to exact Newton solves on the upsweep

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetContinuation(SNES snes,PetscBool continuation)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

-snes_fas_continuation -sets continuation to true

Notes: This sets the prefix on the upsweep smoothers to -fas_continuation

### Keywords

FAS, MG, smoother, continuation

### See Also

SNESFAS

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages